lkml.org 
[lkml]   [1997]   [Dec]   [12]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Subject2.1.72 make modules failing when have ppp-2.3.2
Date
From
Has anyone seen this?

ppp.c: In function `ppp_init_dev':
ppp.c:469: structure has no member named `family'
ppp.c:470: structure has no member named `pa_addr'
ppp.c:471: structure has no member named `pa_brdaddr'
ppp.c:472: structure has no member named `pa_mask'
ppp.c:473: structure has no member named `pa_alen'
(there's more..see bottom of this message)

What's being used:
libc - 5.4.38
libg++ - 2.7.2.8
gcc - 2.7.2.3
ld.so - version 1.9.6
modutils - 2.1.55
kernel running during the build: 2.0.32

Steps that were taken (in order):
1.) virgin source for 2.1.72 installed into /usr/src/linux
2.) virgin source for ppp-2.3.2 installed into /usr/src/ppp-2.3.2
3.) in /usr/src/linux: vi Makefile, and comment-out the "SMP = 1"
4.) in /usr/src/ppp-2.3.2: "./configure" --> runs OK, looks like:
[root@stargate ppp-2.3.2]# ./configure
Creating links to Makefiles.
Makefile -> linux/Makefile.top
pppd/Makefile -> Makefile.linux
pppstats/Makefile -> Makefile.linux
chat/Makefile -> Makefile.linux
[root@stargate ppp-2.3.2]#
5.) still in /usr/src/ppp-2.3.2: "make kernel" --> runs OK :
Notice to the user:

It is perfectly legal for this script to run without making any changes
to your system. This means that the system currently contains the
necessary changes to support this package. Please do not attempt to
force this script to replace any file nor make any patch. If you do so
then it is probable that you are actually putting older, buggier, code
over the newer, fixed, code. Thank you.

Installing into kernel version 2.1.72 in /usr/src/linux

/usr/src/linux/drivers/net/bsd_comp.c is newer than bsd_comp.c, skipping
/usr/src/linux/drivers/net/ppp_deflate.c is newer than ppp_deflate.c, skipping
Saving old /usr/src/linux/drivers/net/zlib.c as zlib.old.c
Installing new /usr/src/linux/drivers/net/zlib.c
Saving old /usr/src/linux/drivers/net/zlib.h as zlib.old.h
Installing new /usr/src/linux/drivers/net/zlib.h
Saving old /usr/src/linux/include/linux/if_ppp.h as if_ppp.old.h
Installing new /usr/src/linux/include/linux/if_ppp.h
Saving old /usr/src/linux/include/linux/if_pppvar.h as if_pppvar.old.h
Installing new /usr/src/linux/include/linux/if_pppvar.h
Saving old /usr/src/linux/include/linux/ppp-comp.h as ppp-comp.old.h
Installing new /usr/src/linux/include/linux/ppp-comp.h
/usr/src/linux/include/linux/ppp_defs.h is newer than ppp_defs.h, skipping
Saving old /usr/src/linux/drivers/net/ppp.c as ppp.old.c
Installing new /usr/src/linux/drivers/net/ppp.c
Adding BSD compression module to drivers makefile...(already there--skipping)
Adding Deflate compression module to drivers makefile...(already there--skipping)
Ensuring that sys/types.h includes sys/bitypes.h -- skipping
Kernel driver files installation done.
[root@stargate ppp-2.3.2]#

6.) in /usr/src/linux : "make config; make dep; make clean; make zImage"
all run OK.
7.) make modules --> this is where it bails:
make[2]: Leaving directory `/usr/src/linux-2.1.72/drivers/char'
make[2]: Entering directory `/usr/src/linux-2.1.72/drivers/net'
gcc -D__KERNEL__ -I/usr/src/linux-2.1.72/include -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -pipe -fno-strength-reduce
-m486 -malign-loops=2 -malign-jumps=2 -malign-functions=2 -DCPU=686 -DMODULE -DMODVERSIONS -include
/usr/src/linux-2.1.72/include/linux/modversions.h -DEXPORT_SYMTAB -c ppp.c
ppp.c: In function `ppp_init_dev':
ppp.c:469: structure has no member named `family'
ppp.c:470: structure has no member named `pa_addr'
ppp.c:471: structure has no member named `pa_brdaddr'
ppp.c:472: structure has no member named `pa_mask'
ppp.c:473: structure has no member named `pa_alen'
ppp.c: In function `ppp_tty_read':
ppp.c:1867: wrong type argument to bit-complement
ppp.c:1900: wrong type argument to bit-complement
ppp.c: In function `ppp_tty_write':
ppp.c:2241: wrong type argument to bit-complement
make[2]: *** [ppp.o] Error 1
make[2]: Leaving directory `/usr/src/linux-2.1.72/drivers/net'
make[1]: *** [modules] Error 2
make[1]: Leaving directory `/usr/src/linux-2.1.72/drivers'
make: *** [modules] Error 2

I've been trying to get 2.3.2 to compile with 2.1.72, becuase that's
what I understand from everything I have read that if you are having
trouble with ppp since version 2.1.68, that is what you are supposed to
do.

Any suggestions will be appreciated.
robertm@teklords.com


\
 
 \ /
  Last update: 2005-03-22 13:40    [W:0.031 / U:2.396 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site